# 0.8.0 Patch Notes
- Added Gray, Crimson, Corruption Commencement
- Tweaked Abyssal, Night Roost
- Tweaked Abyssal, Singularity, Sunrise Sanctuary
- Tweaked Sunset Wetland
- Tweaked Night, Sunset Acres
- Tweaked Hell Pools
- Tweaked Coral, Dark, Hive, Pink Depths
- Tweaked Night Call
- Tweaked Sunny Grove
- Tweaked Abyssal Meadow
- Fixed Commencement

# 0.7.3 Patch Notes
- Added Clear Lagoon, Twilight Lagoon, Overcast Lagoon
- Added simple descriptions to most variants

# 0.7.0 Patch Notes
- I highly recommend resetting your config now
- Tweaked many variants
- Added Risk of Options support
- Added Sandy Grove
- Added Sandy Meadow
- Reworked Ocean Delta, Night Delta
- Reworked Crimson Meadow to Abyssal Meadow
- Disabled some uglier and vanilla variants in the config
- Semi-fixed pink texture bug (they will default to standard textures, fog and other props may look off)
- The next update will contain a whole bunch of variants, just haven't had the time to update because of school

# 0.6.0 Patch Notes
- Tweaked Crimson Forest, Night Sanctuary, Sunset Acres, Olive Grove and Crimson Meadow
- Added Morning Forest
- Added Sandy Plains
- Added Abyssal Roost
- Added Abyssal Aphelian
- Added Sundered Aqueduct
- Added Titanic Delta
- Added Beta Acres, Beta Acres 2, Twilight Acres
- Added Void Pools
- Added Coral Depths
- Added Siren's Sanctuary
- Small bugfixes
- Small optimizations

# 0.5.0 Patch Notes
- Networked the mod
- - Everyone must have the same config in order for this to work properly!
- Small bugfixes
- Small optimizations

# 0.4.0 Patch Notes
- Tweaked Commencement lighting
- Separated Titanic Plains Vanilla changes into its own variant - Sunrise
- Added Void Roost
- Added Nostalgia Plains
- Added Void Aspect
- Added Hell Pools
- Added Titanic Meadow
- Added Green, Blue, Pink Locus

# 0.3.0 Patch Notes
- Updated to SOTV
- Tweaked Green Acres, Night Meadow and Commencement
- Added Night Forest, Extra Snowy Forest, Crimson Forest
- Added Night Sanctuary, Twilight Sanctuary, Sunrise Sanctuary
- Added Coral Pools
- Revived the mod and changed the owner ig
- Optimized code somewhat, still a mess though

# Changelogs below were written by FMRadio11

# 0.2.1 Patch Notes
- Fixed Abandoned Aqueduct config descriptions
- Fixed variant lists not being cleared during Run.Start. This wasn't needed before when lists were only built once, but is necessary now that it's done every run
- Increased visibility in Night!Roost, Night!Delta, and especially Hive!Depths
- Reworked Azure!Depths to not require Low Definition grading since Imp Overlord doesn't mix well with it
- Added missing skybox effects to Abyssal!Meadow

# 0.2.0 Patch Notes
- Apologies for this taking so long. Between school/family stuff coming up and DRG I haven't really worked on this much until around January
- Added about 17 KB of code
- Title screen now has altered rain/wind
- Added in a new variant for most stages
- Secret area in Abandoned Aqueduct now uses appropriate RampFog values
- Stage lighting added to Abyssal Depths and Abandoned Aqueduct's secret area; existing stage lighting changes now use more compact code
- Weather changes are now more expansive, including wind, heavier rain, and embers added as appropriate
- Scorched Acres now uses effects from unused "Weather, Eclipse" assets
- Added null check to unused bridge in Titanic Plains. Hopefully this should prevent it breaking interactables, although I was never able to reproduce this glitch during testing
- Fixed Rallypoint Delta ocean level being raised in the wrong variant
- Fixed vanilla changes not being turned off with config
- Rewrote config text slightly. You can still use your old config file, but remaking it will look cleaner in-game
- Now requires InLobbyConfig
- Variant arrays are now written during Run.Start instead of Awake, allowing config changes to take effect immediately instead of after restart
- Not really playtested much outside of recording values with UnityExplorer for coding, so I'm expecting some other issues

# 0.1.1 Patch Notes
- FASJDKAKSGLK I forgot to add menu config
- Added randomization of unused bridge in default Titanic Plains (located behind the hill between the two cliffs), config separate from Vanilla Plains changes
- Look for some other unused stuff in the future once I can figure out why they're refusing to exist
- Wrote config incorrectly in 0.1.0. Hopefully you won't need to make a new file for it, though
- Cleaned up description a bit

# 0.1.0 Patch Notes
- A Lot Happened
- Temporarily removed Artifact of Seasons and all associated components. In its current state, it's just too much of a spaghetti code mess for me to want to try fixing at the moment, and there's other mods out there already if you want to mess around with enemies.
- Rewrote directory to not have like 99% of this mod's content in just two files, hopefully should be easier to sort through the GitHub now
- Implemented do-while loop to force a different choice when a stage is reloaded
- Config added to disable variants as well as the original stage appearance (if all options are deselected for whatever reason, the vanilla stage is used)
- Every existing variant was heavily altered or replaced entirely, adding in lighting effects and focusing on making them less glaring
- Added a second set of variants to Abyssal Depths, Siren's Call, and Scorched Acres. My original reasoning was that there were already three Stage 4s, but with recent mods that randomize or lock stage order, it's not a good excuse anymore
- Added config to make changes to the lighting of vanilla stages (enabled by default)
- Added unused stage props and/or altered existing props to fit certain variants
- Rain effect now shows up in some variants. This WILL break if you never load into the title screen, so config is provided to disable it if you're doing that for whatever reason

# 0.0.6 Patch Notes
- Removing networking attempt, as it A. doesn't work and B. seems to be affecting variant rolls
- Added config for BossConfig compatibility
- Couldn't update GitHub with this, will try to fix later

# 0.0.5 Patch Notes
- Recolored variants in Roost, Aqueduct, and Depths
- Most darker variants have had their starting fog heavily reduced, should make it easier to see up close
- Red Sundered Grove now only shows up after Stage 4 if using Artifact of Seasons
- Added Commencement variant to config, enabled by default
- Artifact of Seasons icon updated slightly
- Added config option to remove stage-based restrictions when using Artifact of Seasons
- Stage variants should hopefully be consistent between players, haven't had an opportunity to test this though
- Removed random log of Alloy Vulture's spawn card name

# 0.0.4 Patch Notes
- Disabled Shrine of the Woods being added to Sundered Grove; it was causing the stage to not spawn interactables at all

# 0.0.3 Patch Notes
- Dammit I forgot to add the new dll file
- Updated internal number

# 0.0.2 Patch Notes
- Reduced the mid/end colors' transparency of some RampFog effects for clarity
- Upped the brightness of Night!Sky Meadow
- Removed unneeded console logs
- Cleaned up code in a couple other places
- Did get confirmation that OriginalSoundtrack DOES actually work so pog!
- Updated README