[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/F1F65KGH9)
# Modding Server:
[![discord server](https://i.imgur.com/kym7QnV.png)](https://discord.gg/me7P53smzk)
click me

# Overview
- All normal stages will roll for either vanilla or a variant. Commencement has a single variant that will always be on. If desired, any color scheme (including the vanilla stage) can be disabled in config or the in-game settings menu.
- If a variant is selected, changes are made to post-processing (mostly Ramp Fog and Color Grading), global lighting, individual props and even entire material sets to alter the stage's appearance. For example, the variants included for Titanic Plains are inspired from various trailers - an orange one from very early footage of the game, and an overcast one vaguely similar to the console trailer.
- Some unused stage props (most notably the border statues in Abandoned Aqueduct) may be enabled.
- The mod currently features **65** visual variants.

# Common misconceptions
- No, the mod doesn't alter any spawn pools.
- No, the mod doesn't add legendary chests to stages.

# To-do
- Add more variants
- Fix bugs

# Known Bugs
- Variants with material changes bug out sometimes, not swapping the materials at all. I really need someone more experienced to help with this.
- Setting Titanic Plains Bridge Chance to 100% makes no interactables spawn. I have no idea how to fix this

# Shoutouts
- FMRadio11 for the codebase
- SSM24 and Moffein for figuring out the networking ! !
- Everyone who provided variant ideas (HIFU, FMRadio11, Jaysian, breadguy, Slipskip, Heyimnoop). Having existing content to work with is significantly easier even if it's just basic color ideas

# Screenshots
- There is no extensive list of screenshots for the variants, as there are way too many, but have these at least.
![1](https://cdn.discordapp.com/attachments/874994540992421898/1017907514026766407/unknown.png)
![2](https://cdn.discordapp.com/attachments/874994540992421898/1017907647225270282/unknown.png)
![3](https://cdn.discordapp.com/attachments/874994540992421898/1017907867841462392/unknown.png)
![4](https://cdn.discordapp.com/attachments/874994540992421898/1017908031654207578/unknown.png)
![5](https://cdn.discordapp.com/attachments/874994540992421898/1017908250261336095/unknown.png)
![6](https://cdn.discordapp.com/attachments/874994540992421898/1017908337255383170/unknown.png)
![7](https://cdn.discordapp.com/attachments/874994540992421898/1017908500086673418/unknown.png)
![8](https://cdn.discordapp.com/attachments/874994540992421898/1017908675492466728/unknown.png)
![9](https://cdn.discordapp.com/attachments/874994540992421898/1017908789816594442/unknown.png)
![10](https://cdn.discordapp.com/attachments/874994540992421898/1017908902563696730/unknown.png)
![11](https://cdn.discordapp.com/attachments/874994540992421898/1017909080314089562/unknown.png)
![12](https://cdn.discordapp.com/attachments/874994540992421898/1017909192906002504/unknown.png)
![13](https://cdn.discordapp.com/attachments/874994540992421898/1017909397806121080/unknown.png)
![14](https://cdn.discordapp.com/attachments/874994540992421898/1017909547618275418/unknown.png)
![15](https://cdn.discordapp.com/attachments/874994540992421898/1017909889131102249/unknown.png)
![16](https://cdn.discordapp.com/attachments/874994540992421898/1017910196489703485/unknown.png)
